org.tmatesoft.svn.core.wc2.admin

## Class SvnRepositoryGetRevisionProperty

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<V>
  - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation<SVNPropertyValue>
    - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryGetRevisionProperty

- All Implemented Interfaces:
    ISvnOperationOptionsProvider

      public class SvnRepositoryGetRevisionProperty
      extends SvnRepositoryOperation<SVNPropertyValue>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnRepositoryGetRevisionProperty(SvnOperationFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPropName()`
    `java.lang.String` | `getTransactionName()`
    `void` | `setPropName(java.lang.String propName)`
    `void` | `setTransactionName(java.lang.String transactionName)`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation

      `getRepositoryRoot, isChangesWorkingCopy, setRepositoryRoot`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

      `addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnRepositoryGetRevisionProperty

          public SvnRepositoryGetRevisionProperty(SvnOperationFactory factory)

  - ### Method Detail

    - #### getTransactionName

          public java.lang.String getTransactionName()

    - #### setTransactionName

          public void setTransactionName(java.lang.String transactionName)

    - #### getPropName

          public java.lang.String getPropName()

    - #### setPropName

          public void setPropName(java.lang.String propName)